<?xml version="1.0" encoding="utf-8"?>
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <!-- INTEGIX by Ez-XBRL -->
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel"/>
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital" xlink:label="loc_ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital_1"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_2"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations_3"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_4"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations_5"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_6"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations_7"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_8"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_9"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit" xlink:label="loc_ifrs-full_GrossProfit_10"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_11"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:label="loc_ifrs-full_IncreaseDecreaseInWorkingCapital_12"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherRevenue" xlink:label="loc_ifrs-full_OtherRevenue_13"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:label="loc_ifrs-full_Revenue_14"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="loc_marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss_15"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="loc_marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss_16"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="loc_marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss_17"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="loc_marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss_18"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations" xlink:label="loc_marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations_19"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations" xlink:label="loc_marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations_20"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_DisclosureOfDistributionExpense" xlink:label="loc_marfininvestment_DisclosureOfDistributionExpense_21"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_DisclosureOfDistributionExpense" xlink:label="loc_marfininvestment_DisclosureOfDistributionExpense_22"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations" xlink:label="loc_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations_23"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations" xlink:label="loc_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations_24"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations" xlink:label="loc_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations_25"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations" xlink:label="loc_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations_26"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities" xlink:label="loc_marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities_27"/>
    <loc xlink:type="locator" xlink:href="213800Q5O2WIDKF6SZ42-2023-12-31.xsd#marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities" xlink:label="loc_marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities_28"/>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital_0" xml:lang="en">AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xml:lang="en">CashFlowsFromUsedInFinancingActivities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations_0" xml:lang="en">CashFlowsFromUsedInFinancingActivitiesContinuingOperations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xml:lang="en">CashFlowsFromUsedInInvestingActivities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations_0" xml:lang="en">Cash flows from (used in) investing activities, continuing operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xml:lang="en">CashFlowsFromUsedInOperatingActivities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations_0" xml:lang="en">CashFlowsFromUsedInOperatingActivitiesContinuingOperations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations_0" xml:lang="en">CashFlowsFromUsedInOperations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_0" xml:lang="en">CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_GrossProfit_0" xml:lang="en">&#924;&#953;&#954;&#964;ό &#954;έ&#961;&#948;&#959;&#962;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xml:lang="en">IncreaseDecreaseInCashAndCashEquivalents</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_IncreaseDecreaseInWorkingCapital_0" xml:lang="en">IncreaseDecreaseInWorkingCapital</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_OtherRevenue_0" xml:lang="en">Total revenue</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_Revenue_0" xml:lang="en">Total revenue</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss_0" xml:lang="en">Adjustments For Decrease Increase In Financial Assets At Fair Value Through Profit Or Loss</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss_1" xml:lang="en">Adjustments For Decrease Increase In Financial Assets At Fair Value Through Profit Or Loss</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss_0" xml:lang="en">Adjustments For Gain Loss On Disposals Financial Assets At Fair Value Through Profit Or Loss</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss_1" xml:lang="en">Adjustments For Gain (Loss) On Disposals, Financial Assets At Fair Value Through Profit Or Loss</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations_0" xml:lang="en">Cash and cash equivalents at the beginning of the period from discontinued operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations_1" xml:lang="en">Cash and cash equivalents at the beginning of the period from discontinued operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_marfininvestment_DisclosureOfDistributionExpense_0" xml:lang="en">Disclosure Of Distribution Expense</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_marfininvestment_DisclosureOfDistributionExpense_1" xml:lang="en">Disclosure Of Distribution Expense</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations_0" xml:lang="en">Effect Of Exchange Rate Changes On Cash And Cash Equivalents Of Continuing Operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations_1" xml:lang="en">Effect Of Exchange Rate Changes On Cash And Cash Equivalents Of Continuing Operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations_0" xml:lang="en">Effect Of Exchange Rate Changes On Cash And Cash Equivalents Of Discontinued Operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations_1" xml:lang="en">Effect Of Exchange Rate Changes On Cash And Cash Equivalents Of Discontinued Operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities_0" xml:lang="en">Proceeds from sales of property, plant and equipment, intangible assets and investment property classified as investing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities_1" xml:lang="en">Proceeds From Sales Of Property, Plant And Equipment, Intangible Assets And Investment Property Classified As Investing Activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital_1" xlink:to="lab_ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_2" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations_3" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_4" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations_5" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_6" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations_7" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivitiesContinuingOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_9" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit_10" xlink:to="lab_ifrs-full_GrossProfit_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_11" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInWorkingCapital_12" xlink:to="lab_ifrs-full_IncreaseDecreaseInWorkingCapital_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OtherRevenue_13" xlink:to="lab_ifrs-full_OtherRevenue_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_Revenue_14" xlink:to="lab_ifrs-full_Revenue_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss_15" xlink:to="lab_marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss_16" xlink:to="lab_marfininvestment_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughProfitOrLoss_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss_17" xlink:to="lab_marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss_18" xlink:to="lab_marfininvestment_AdjustmentsForGainLossOnDisposalsFinancialAssetsAtFairValueThroughProfitOrLoss_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations_19" xlink:to="lab_marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations_20" xlink:to="lab_marfininvestment_CashAndCashEquivalentsAtTheBeginningOfThePeriodFromDiscontinuedOperations_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_DisclosureOfDistributionExpense_21" xlink:to="lab_marfininvestment_DisclosureOfDistributionExpense_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_DisclosureOfDistributionExpense_22" xlink:to="lab_marfininvestment_DisclosureOfDistributionExpense_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations_23" xlink:to="lab_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations_24" xlink:to="lab_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfContinuingOperations_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations_25" xlink:to="lab_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations_26" xlink:to="lab_marfininvestment_EffectOfExchangeRateChangesOnCashAndCashEquivalentsOfDiscontinuedOperations_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities_27" xlink:to="lab_marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities_28" xlink:to="lab_marfininvestment_ProceedsFromSalesOfPropertyPlantAndEquipmentIntangibleAssetsAndInvestmentPropertyClassifiedAsInvestingActivities_1"/>
  </labelLink>
</linkbase>